# 20130807, here is where I set up knitr options for my talks and book.



## ---- setupknitropts -------------------------------


# Must be one line:
# size = "footnotesize"
# size = "small"
# size = "normalsize" looks a bit too big

opts_chunk$set(comment = NA,
               prompt = TRUE,
               fig.align = 'center',
               fig.show = 'hold',
               tidy = FALSE,
               size = 'small',
               cache = FALSE,
               cache.path = './MyKnitrFigs/mycache/',  # Usually a "+"
#              background = c(0.9803922, 0.9803922, 0.8235294), # lightgoldenrodyellow
               background = c(1, 1, 0.8784314),  # lightyellow
#              background = c(0.8039216, 0.8039216, 0.7058824), # lightyellow3
#              background = c(0.9333333, 0.9333333, 0.8196078), # lightyellow2
#              background = c(0.9333333, 0.8666667, 0.5098039), # lightgoldenrod
               highlight = TRUE)



# options(continue=" ")  # Usually a "+"


# 20140228:
options(prompt = "> ", continue="  ", useFancyQuotes = FALSE)
options(width = 80)   # Was 72
options(digits = 5)   # 5 is the most common; 7 is the default



# Prior to 20150206:
# opts_chunk$set(comment = NA, prompt = TRUE, fig.align = 'center', fig.show = 'hold', tidy = FALSE, size = 'small', cache = FALSE, cache.path = '../../knitrgraphics/mycache/')  # Usually a "+"



# 20151016
#> col2rgb("lightgoldenrodyellow") / 255    # OKAY I THINK
#           [,1]
#red   0.9803922
#green 0.9803922
#blue  0.8235294
#> col2rgb("lightgoldenrod") / 255        # TOO DARK!!
#           [,1]
#red   0.9333333
#green 0.8666667
#blue  0.5098039
#> col2rgb("lightblue") / 255        # TOO DARK!!
#           [,1]
#red   0.6784314
#green 0.8470588
#blue  0.9019608
#> col2rgb("lightyellow") / 255    # OKAY I THINK
#           [,1]
#red   1.0000000
#green 1.0000000
#blue  0.8784314
#> col2rgb("lightyellow2") / 255        # TOO DARK!!
#           [,1]
#red   0.9333333
#green 0.9333333
#blue  0.8196078
#> col2rgb("lightyellow3") / 255        # TOO DARK!!
#           [,1]
#red   0.8039216
#green 0.8039216
#blue  0.7058824




